%define modname pytest

Name:           python-%{modname}
Version:        2.6.1
Release:        %mkrel 4
Summary:        Simple powerful testing with Python

Group:          Development/Python
License:        MIT
URL:            http://pytest.org
Source0:        http://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-setuptools
BuildRequires:  python-py
Requires:       python-py
BuildRequires:  python-sphinx
BuildRequires:  python-docutils
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-py

# if pexpect is present, the testsuite fails on F19 due to
# http://bugs.python.org/issue17998
#BuildRequires:  python-pexpect
BuildRequires:  python-mock
BuildRequires:  python-twisted-core
BuildRequires:  python3-mock


%description
py.test provides simple, yet powerful testing for Python.


%package -n python3-%{modname}
Summary:        Simple powerful testing with Python
Group:          Development/Python
Requires:       python3-setuptools
Requires:       python3-py


%description -n python3-%{modname}
py.test provides simple, yet powerful testing for Python.

%package doc
Summary:	Documentation for pytest
Group:		Development/Python
BuildArch: noarch

%description doc
This package contains documentation for pytest.

%prep
%setup -q -n %{modname}-%{version}

cp -a . %{py3dir}


%build
%{__python} setup.py build

for l in doc/* ; do
  make -C $l html PYTHONPATH=$(pwd)
done

pushd %{py3dir}
%{__python3} setup.py build
popd


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# remove shebangs from all scripts
find %{buildroot}%{python_sitelib} -name '*.py' \
     -exec sed -i -e '1{/^#!/d}' {} \;

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}

# remove shebangs from all scripts
find %{buildroot}%{python3_sitelib} -name '*.py' \
     -exec sed -i -e '1{/^#!/d}' {} \;

popd

mkdir -p _htmldocs/html
for l in doc/* ; do
  # remove hidden file
  rm ${l}/_build/html/.buildinfo
  mv ${l}/_build/html _htmldocs/html/${l##doc/}
done

rst2html README.rst > README.html

# use 2.X per default
pushd %{buildroot}%{_bindir}
ln -snf py.test-2.* py.test
popd


%check
PATH=%{buildroot}%{_bindir}:${PATH} \
PYTHONPATH=%{buildroot}%{python_sitelib} \
  %{buildroot}%{_bindir}/py.test -r s testing
pushd %{py3dir}
PATH=%{buildroot}%{_bindir}:${PATH} \
PYTHONPATH=%{buildroot}%{python3_sitelib} \
  %{buildroot}%{_bindir}/py.test-3.* -r s testing
popd


%files
%doc CHANGELOG LICENSE README.html
%{_bindir}/py.test
%{_bindir}/py.test-2.*
%{python_sitelib}/*


%files -n python3-%{modname}
%doc CHANGELOG LICENSE README.html
%{_bindir}/py.test-3.*
%{python3_sitelib}/*

%files doc
%doc _htmldocs/html



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.6.1-4.mga5
+ Revision: 748107
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.6.1-3.mga5
+ Revision: 726919
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.6.1-2.mga5
+ Revision: 688284
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 juancho <juancho> 2.6.1-1.mga5
+ Revision: 674085
- Updated to 2.6.1
- Updated to 2.6.1

* Sat May 31 2014 pterjan <pterjan> 2.5.2-2.mga5
+ Revision: 628969
- Rebuild for new Python

* Tue Mar 11 2014 philippem <philippem> 2.5.2-1.mga5
+ Revision: 602545
- imported package python-pytest

